package circles;

import java.util.ArrayList;
import javax.swing.table.AbstractTableModel;

public class ItemTableModel extends AbstractTableModel
{
    private ArrayList<Item> items;
    
    public ItemTableModel(ArrayList<Item> items)
    {
        this.items = items;
    }

    @Override
    public boolean isCellEditable(int rowIndex, int columnIndex)
    {
        return true;
    }
    
    public void addItem(Item item)
    {
        items.add(item);
        fireTableRowsInserted(items.size()-1, items.size()-1);
    }
    
    @Override
    public int getRowCount()
    {
        return items.size();
    }

    @Override
    public int getColumnCount()
    {
        return 3;
    }

    @Override
    public Object getValueAt(int i, int i1)
    {
        Item iter = items.get(i);
        switch(i1)
        {
            case 0: return iter.getX();
            case 1: return iter.getY();
            case 2: return iter.getR();
            default:return null;
        }
    }
    public Item getItemAt(int i)
    {
        return items.get(i);
    }

    @Override
    public void setValueAt(Object aValue, int rowIndex, int columnIndex)
    {
        Item buff = getItemAt(rowIndex);
        switch(columnIndex)
        {
            case 0: buff.setX(Integer.parseInt(aValue.toString())); break;
            case 1: buff.setY(Integer.parseInt(aValue.toString())); break;
            case 2: buff.setR(Integer.parseInt(aValue.toString())); break;
        }
        fireTableRowsUpdated(rowIndex,rowIndex);
    }
    
    
}
